Package org.kapott.hbci.GV_Result

## Class GVRDauerNew

- java.lang.Object
- - org.kapott.hbci.GV_Result.HBCIJobResultImpl
  - - org.kapott.hbci.GV_Result.GVRDauerNew

All Implemented Interfaces:
  `java.io.Serializable`, `HBCIJobResult`

    public class GVRDauerNew
    extends HBCIJobResultImpl

Ergebnis einer Dauerauftragseinreichung. Falls die Bank die Vergabe von Auftrags-Identifikationsnummern unterstützt, wird die ID für den neuen Dauerauftrag hier bereitgestellt.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

### Constructor Summary

Constructors
`GVRDauerNew()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getOrderId()` Gibt die Auftragsnummer zurück, unter der der eingereichte Dauerauftrag bei der Bank registriert ist
`void` `setOrderId​(java.lang.String orderid)`
`java.lang.String` `toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GVRDauerNew

    public GVRDauerNew()

### Method Detail

#### setOrderId

    public void setOrderId​(java.lang.String orderid)

#### getOrderId

    public java.lang.String getOrderId()

Gibt die Auftragsnummer zurück, unter der der eingereichte Dauerauftrag bei der Bank registriert ist

Returns:
  die Auftragsidentifikationsnummer oder `null`, wenn die Bank das nicht unterstützt.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`